Bug 20430 - Z39.50 button display depends on wrong server count
Summary: Z39.50 button display depends on wrong server count
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 19987
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-16 08:03 UTC by Marcel de Rooy
Modified: 2018-04-24 05:12 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20430: (See also 19436) Button display depends on wrong server count (1.26 KB, patch)
2018-03-16 08:12 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2018-03-16 08:03:27 UTC

    
Comment 1 Marcel de Rooy 2018-03-16 08:12:02 UTC
Created attachment 72987 [details] [review]
Bug 20430: (See also 19436) Button display depends on wrong server count

This is a QA follow-up of bug 19436, submitted separately for ease of
backporting it. (The bug was not raised by 19436.)

Obviously, the number of authority servers not biblio servers should
be the key factor for showing or hiding the button for new authority
records via Z39.50/SRU.

Trivial fix.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2018-03-16 08:12:44 UTC
SO/QA in combination with trigger report 19436
Comment 3 Jonathan Druart 2018-03-19 18:32:11 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 4 Nick Clemens 2018-04-24 01:32:09 UTC
Awesome work all, backported to stable for 17.11.05
Comment 5 Fridolin SOMERS 2018-04-24 05:12:57 UTC
Pushed to 17.05.x for 17.05.11